# update_dashboard_filter

Update a specific filter within a dashboard by ID.

Endpoint: PATCH /dashboard/dashboards/{dashboard_id}/filters/{filter_id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `dashboard_id` (string, required)

  - `filter_id` (string, required)

## Request fields (application/json):

  - `default_value` (string)

  - `name` (string,null)

  - `title` (string,null)

  - `row` (integer,null)

  - `ui_config` (object)

## Response 200 fields (application/json):

  - `resource` (object, required)

  - `resource.id` (string, required)

  - `resource.dashboard_id` (string, required)

  - `resource.default_value` (string, required)

  - `resource.explore` (string, required)

  - `resource.model` (string, required)

  - `resource.name` (string,null)

  - `resource.row` (integer,null)

  - `resource.title` (string,null)

  - `resource.ui_config` (object, required)

## Response 400 fields (application/json):

  - `error` (string, required)

  - `code` (integer, required)

  - `correlationId` (string)

  - `responseMessages` (string, required)


